<?php
/**
 * Déclaration de l'interface CommandLine\Argument\Option\IArgumentOption
 */
namespace CommandLine\Argument\Option;

use CommandLine\Argument\IArgument;

/**
 * Interface à implémenter si l'argument est de type "option"
 *
 * @package CommandLine\Argument\Option
 */
interface IArgumentOption extends IArgument {
    /**
     * La tag court.
     *
     * @return string|null Le tag court.
     *
     * @see $_tagShort
     */
    public function getTagShort();
    /**
     * Le tag long.
     *
     * @return string Le tag long.
     *
     * @see $_tagLong
     */
    public function getTagLong();

    /**
     * Est-ce que l'argument est autorisé plusieurs fois ?
     *
     * @return boolean True si l'argument est autorisé plusieurs fois, sinon False
     */
    public function allowMultiple();
    /**
     * Est-ce que l'argument met fin au parsage ?
     *
     * Exemple : --help = affiche l'aide et stoppe le programme
     *
     * @return boolean True si la présence de l'argument mat fin au parsage, sinon False.
     */
    public function isStoppingParse();
}