<?php
/**
 * Déclaration de la classe CommandLine\Argument\Parser\BooleanParser
 */
namespace CommandLine\Argument\Parser;

use RangeException;

/**
 * Parser vers un booléen
 *
 * Les valeurs suivantes sont acceptées :
 * - true , 1, oui, vrai
 * - false, 0, non, faux
 *
 * @package CommandLine\Argument\Parser
 */
class BooleanParser implements IValueParser {
    /**
     * @inheritDoc
     */
    public function parseValue ($arg) {
        if(!in_array($arg, array(
            'true' , '1', 'oui', 'vrai',
            'false', '0', 'non', 'faux',
        )))
            throw new RangeException('La valeur n\'est pas un booléen valide : '.$arg);

        return in_array($arg, array('true' , '1', 'oui', 'vrai'));
    }

    /**
     * @inheritDoc
     */
    public function getValueDescription () {
        return 'boolean';
    }
}