<?php
/**
 * Déclare l'interface CommandLine\Argument\Parser\IValueParser
 */
namespace CommandLine\Argument\Parser;

/**
 * Interface pour les parseurs
 *
 * @package CommandLine\Argument\Parser
 */
interface IValueParser {
    /**
     * Vérifie et transforme une valeur.
     *
     * @param string $val La valeur à transformer.
     *
     * @return mixed La valeur transformée.
     */
    public function parseValue($val);

    /**
     * La description des contraintes de la valeur.
     *
     * @return string La description.
     */
    public function getValueDescription();
}