<?php
/**
 * Déclaration de l'interface CommandLine\Argument\Option\IArgumentValue
 */
namespace CommandLine\Argument\Value;

use CommandLine\Argument\IArgument;

/**
 * Interface à implémenter si l'argument est de type "valeur"
 *
 * @package CommandLine\Argument\value
 */
interface IArgumentValue extends IArgument {
    /**
     * Le nombre minimum d'occurence.
     *
     * Généralement 0 (falcultatif) ou 1 (obligatoire).
     *
     * @return int Le nombre minimum d'occurence
     */
    public function getOccurMin();
    /**
     * Le nombre maximum d'occurence.
     *
     * Généralement 1 ou Null (illimité).
     *
     * @return int|null Le nombre maximum d'occurence
     */
    public function getOccurMax();
}